# SceneMoveHandler (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.server
Class SceneMoveHandler

    java.lang.Object
      com.threerings.whirled.server.AbstractSceneMoveHandler
          com.threerings.whirled.server.SceneMoveHandler

All Implemented Interfaces:
  SceneRegistry.ResolutionListener

Direct Known Subclasses:
  SpotSceneMoveHandler

    public class SceneMoveHandler

extends AbstractSceneMoveHandler

Handles a simple scene to scene move.

Constructor Summary
`SceneMoveHandler(com.threerings.crowd.server.LocationManager locman, com.threerings.crowd.data.BodyObject body, int sceneVer, SceneService.SceneMoveListener listener)`

Method Summary

Methods inherited from class com.threerings.whirled.server.AbstractSceneMoveHandler
`sceneFailedToResolve, sceneWasResolved`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SceneMoveHandler

    public SceneMoveHandler(com.threerings.crowd.server.LocationManager locman,
                            com.threerings.crowd.data.BodyObject body,
                            int sceneVer,
                            SceneService.SceneMoveListener listener)

Copyright © 2011. All Rights Reserved.